summaryrefslogtreecommitdiff
path: root/dev-db/cockroach/files/cockroach.initd
diff options
context:
space:
mode:
Diffstat (limited to 'dev-db/cockroach/files/cockroach.initd')
-rw-r--r--dev-db/cockroach/files/cockroach.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/dev-db/cockroach/files/cockroach.initd b/dev-db/cockroach/files/cockroach.initd
new file mode 100644
index 000000000000..3629cb6605fa
--- /dev/null
+++ b/dev-db/cockroach/files/cockroach.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="/usr/bin/cockroach"
+pidfile=/run/cockroach/cockroach.pid
+command_args="start --background --log-dir=/var/log/cockroach
+ --pid-file=\"${pidfile}\" ${start_args}"
+start_stop_daemon_args="--quiet --user cockroach"
+
+depend() {
+ use net
+}
+
+start_pre() {
+ checkpath -d -m 0755 -o cockroach:cockroach $(dirname ${pidfile})
+}
+
+stop() {
+ebegin "bringing down ${RC_SVCNAME}"
+"${command}" quit ${stop_args}
+eend $?
+}